Bug 223974 - multimedia/ffmpeg: enable LAME option by default
Summary: multimedia/ffmpeg: enable LAME option by default
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-multimedia mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-29 21:52 UTC by vermaden
Modified: 2017-12-02 10:48 UTC (History)
1 user (show)

See Also:
jbeich: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vermaden 2017-11-29 21:52:29 UTC
The MP3 technology became patent-free on 16 April 2017, half a year ago.

OpenBSD provides package for lame since YEARS.

Can FreeBSD also start doing that?

Regards,
vermaden
Comment 1 Jan Beich freebsd_committer 2017-11-30 01:32:52 UTC
Not until audio/lame removes RESTRICTED as multimedia/ffmpeg cannot depend on ports not available as binary packages.

https://lists.freebsd.org/pipermail/freebsd-ports/2017-May/108425.html
Comment 2 Jan Beich freebsd_committer 2017-11-30 01:43:03 UTC
Why do you need MP3 encoder nowadays? ffmpeg comes with AAC encoder by default if you need compatibility with various hardware decoders.
Comment 3 vermaden 2017-11-30 12:20:33 UTC
(In reply to Jan Beich from comment #1)

This is being addressed here:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=223975
Comment 4 vermaden 2017-11-30 12:21:19 UTC
(In reply to Jan Beich from comment #2)

Why do You need WiFi? You can just use LAN ...

People have various needs ...
Comment 5 Thomas Zander freebsd_committer 2017-12-02 10:37:35 UTC
(In reply to vermaden from comment #4)

Using mp3 in ffmeg is a totally valid use case, I agree.
It's really about the fact that lame is not yet available as a package. Once this changes, I am happy to enable LAME as a default option. Until then, you need to compile from ports.

Suggestion: The discussion on
https://lists.freebsd.org/pipermail/freebsd-ports/2017-May/108425.html
is now more than half a year over. Maybe you find more detailed info on the patent state one of the Linux or OpenBSD resources which would answer the open questions and let Alexander remove the RESTRICTED in lame.
Comment 6 Thomas Zander freebsd_committer 2017-12-02 10:48:43 UTC
Rejected for now because of depencencies. Can be reopened when lame is no longer restricted.